# BaseGraphics Class Reference

All data/functions related with replacing the base graphics. More...

`#include <base_media_base.h>`

Inheritance diagram for BaseGraphics:

## Static Public Member Functions
static void | DeterminePalette ()
| Determine the palette of the current graphics set.

## Detailed Description

All data/functions related with replacing the base graphics.

Definition at line 247 of file base_media_base.h.

## Member Function Documentation

void BaseGraphics::DeterminePalette | ( |  | ) | `[static]`

Determine the palette of the current graphics set.

Determine the palette that has to be used.

- forced palette via command line -> leave it that way
- otherwise -> palette based on the graphics pack

Definition at line 267 of file gfxinit.cpp.

References _palette_remap, _palette_reverse_remap, _palmap_d2w, _palmap_w2d, _use_palette, MAX_PAL, PAL_DOS, PAL_WINDOWS, GraphicsSet::palette, UpdateNewGRFConfigPalette(), and BaseMedia< GraphicsSet >::used_set.

Referenced by CheckExternalFiles().

The documentation for this class was generated from the following files:

- src/base_media_base.h
- src/gfxinit.cpp